Subject: ASN.1 Compilers

From: Russ Housley <[email-masked]>
Date: Thu, 16 Jun 2005 10:45:02 -0400

Dear PKIX and S/MIME WGs:

Jim Schaad has pointed me to a freeware ASN.1 compiler that claims support 
for the full range of ASN.1 syntaxes.  From the web page, which is 
http://lionet.info/asn1c/ :

    The asn1c is an open source, free ASN.1 to C compiler. It supports a 
wide range of ASN.1
    syntaxes, including ISO/IEC/ITU ASN.1 1988, '94, '97, 2002 and later 
amendments. The
    basic supported syntax is ITU-T Rec. X.690 | ISO/IEC 8825-1 (2002).

One of the big impediments from moving away from the 1988 syntax has been 
tools.  Does anyone have experience with this tool?  Does it live up to 
this claim?

Russ